import { jsx } from "react/jsx-runtime";
import { Repeat as Repeat$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Repeat = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Repeat", ...props, children: /* @__PURE__ */ jsx(Repeat$1, { weight: variant }) });
  }
);
Repeat.displayName = "Repeat";
Object.assign(Repeat, { isGdsIcon: true });
export {
  Repeat
};
